Page MenuHomePhabricator

Fix embedded Python initialization according to changes in version 3.7
ClosedPublic

Authored by tatyana-krasnukha on Mar 1 2019, 10:16 AM.

Details

Summary

The InitializePythonRAII left the GIL locked for other threads when using Python >= 3.7.

P.S. I'd appreciate any help in making my comments more understandable and laconical.

Diff Detail

Repository
rL LLVM

Event Timeline

Davide ran into this issue recently and tried to fix it, so I'm adding him here as a reviewer. Also Stella is interested in Python 3 support as well, so adding her also.

davide accepted this revision.Mar 4 2019, 12:34 PM

I spent several hours reading through this code and I do believe this patch (and your reasoning) is correct.
The comment is fine to me, FWIW.

This revision is now accepted and ready to land.Mar 4 2019, 12:34 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptMar 5 2019, 3:18 AM